package cn.cslg.pas.common.utils.handler;

import cn.cslg.pas.common.utils.StringUtils;

/**
 * @name 一般字符串处理类
 * @description 1.带有分隔符按照分隔符拆分（去除所有空格） 2.不带分隔符直接返回原数据
 */
public class StringHandler implements IProcessData {
    public StringHandler() {
    }

    @Override
    public Object processData(Object data, Object splitSymbol) {
        if (!"".equals(splitSymbol)) {
            return StringUtils.changeStringToString(data.toString().trim(), splitSymbol.toString());
        } else {
            return data.toString();
        }
    }
}
